<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/fragment"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="@dimen/dp_60"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/viewPager2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <FrameLayout
            android:id="@+id/flBottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone">


            <com.google.android.material.tabs.TabLayout
                android:id="@+id/tabLayout"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_52"
                android:layout_gravity="center"
                android:layout_marginHorizontal="@dimen/dp_24"
                android:layout_marginTop="@dimen/dp_8"
                android:layout_marginBottom="@dimen/dp_8"
                android:background="@drawable/bg_a3dbeb_38"
                android:visibility="visible"
                app:tabIndicator="@drawable/indicator_main"
                app:tabIndicatorColor="@color/colorPrimary"
                app:tabIndicatorFullWidth="true"
                app:tabIndicatorGravity="center"
                app:tabIndicatorHeight="@dimen/dp_52"
                app:tabMode="fixed"
                app:tabRippleColor="@android:color/transparent"
                tools:ignore="SpeakableTextPresentCheck" />


            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_gravity="bottom"
                android:background="#F5F5F5" />

        </FrameLayout>

    </LinearLayout>

    <FrameLayout
        android:id="@+id/flBanner"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>